MP4(3)

NAME

MP4Dump - Print a text version of an mp4 file

SYNTAX

#include <mp4.h>

bool MP4Dump(
    MP4FileHandle hFile,
    FILE* pDumpFile = NULL,
    bool dumpImplicits = false
);

ARGUMENTS

hFile
    Specifies the mp4 file to be dumped.

pDumpFile
    Specifies where the text output is written. The default value of NULL implies stdout.

dumpImplicits
    Prints those properties that would not actually be written to the mp4 file, but still exist in the mp4 control structures. I.e. they are implicit given the current values of other controlling properties.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4Dump is an invaluable debugging tool in that in can reveal all the details of the mp4 control structures. However, the output will not make much sense until you familiarize yourself with the mp4 specification (or the Quicktime File Format specification).

Note that MP4Dump() will not print the individual values of control tables, such as the size of each sample, unless the current verbosity value includes the flag MP4_DETAILS_TABLE. See MP4SetVerbosity() for how to set this flag.

SEE ALSO

MP4(3)